IFAPI_ExportKey Struct Reference

`#include <fapi_int.h>`

## Data Fields

char const * | pathOfKeyToDuplicate
char const * | pathToPublicKeyOfNewParent
TPM2B_PUBLIC | public_parent
IFAPI_OBJECT * | key_object
IFAPI_OBJECT | export_tree
IFAPI_OBJECT | pub_key
IFAPI_OBJECT | dup_key
struct TPMS_POLICY | policy
ESYS_TR | handle_ext_key
char * | exportedData

## Detailed Description

The data structure holding internal state of export key.

## Field Documentation

## dup_key

IFAPI_OBJECT dup_key

The key to be duplicated or exported

## export_tree

IFAPI_OBJECT export_tree

The complete tree to be exported

## key_object

IFAPI_OBJECT* key_object

The IPAPI object of the key to be duplicated

## pathOfKeyToDuplicate

char const* pathOfKeyToDuplicate

The relative path of the key to be exported

## pathToPublicKeyOfNewParent

char const* pathToPublicKeyOfNewParent

The relative path of the new parent

## pub_key

IFAPI_OBJECT pub_key

The public part of the new parent

## public_parent

TPM2B_PUBLIC public_parent

The public key of the new parent

The documentation for this struct was generated from the following file:

- src/tss2-fapi/fapi_int.h